using ASHermed.SinoInterface.Api.ContractModel;
using ASHermed.SinoInterface.Api.ContractModel.App;
using ASHermed.SinoInterface.Api.ContractModel.Framework.Login;
using ASHermed.SinoInterface.ContractModel;
using Microsoft.AspNetCore.Http;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace ASHermed.SinoInterface.Api.IService
{
    /// <summary>
	/// 百度服务
	/// </summary>
	public interface IBaiduService
    {
        Task<IdCardDataResult> BaiduIdCardAsync(IFormFile file);
        Task<PassportDataResult> BaiduPassportAsync(IFormFile file);
        Task<HKMacauDataResult> HKMacauExitentrypermit(IFormFile file);
        Task<TaiWanDataResult> TaiWanExitentrypermit(IFormFile file);
        string GetShortUrl(string url);
    }
}
